<!-- Центральный блок -->
<div style="padding: 0 0px 0 0; margin: 0 0 0 -300px; width: 100%;" class="left">
	<?php
	$kernel->show_current_page();
	?>
	
	<div>
		<?php 
		if (class_exists('shop'))
		{
			$shop = & singleton('shop');

			$shop_id = 1;

			$param = array();

			// Товары выбираем из всех групп
			$param['current_group_id'] = false;

			// Выводим по 4 товара в блока
			$param['items_on_page'] = 4;

			// Используем случайный вывод товара
			$param['items_order'] = 'rand';

			// Получаем все скидки магазина
			$AllDiscount = $shop->GetAllDiscounts($shop_id);

			// Скидки есть
			if ($AllDiscount)
			{
				$param['select_discount'] = array();

				// Цикл по полученным скидкам
				while ($row = mysql_fetch_assoc($AllDiscount))
				{
					// В массив добавляем идентификаторы скидок
					$param['select_discount'][] = $row['shop_discount_id'];
				}
			}

			// Вывод только из активных групп,
			// при необходимости раскомментировать
			/*
			$param['current_group_id'] = array(0);

			$aGroups = $shop->GetAllGroups($shop_id, array('groups_activity' => 1));
		
			if (is_array($aGroups) && count($aGroups) > 0)
			{
				foreach ($aGroups as $aGroupRow)
				{
					$param['current_group_id'][] = $aGroupRow['shop_groups_id'];
				}
			}
			*/

			$shop->ShowShop($shop_id, 'МагазинКаталогТоваровНаГлавнойСпецПред', $param);
		}
		?>

		<!-- Реклама -->
		<?php 
		if (class_exists('Advertisement'))
		{
			?><div style="text-align: center; margin: 20px"><?php
			$Advertisement = new Advertisement();
			$Advertisement->ShowAdvertisementGroup(1, 'ОтображениеБаннера');
			?></div><?php
		}
		?>

	</div>
</div>

<!-- Правый блок -->
<div style="width: 220px; padding-right: 50px;" class="right" >
	<!-- Метки -->
	<?php 
	// Вывод меток информационной системы
	$InformationSystem = & singleton('InformationSystem');

	// Код информационной системы
	$InformationSystemId = 1;

	$InformationSystem->ShowTagsCloud($InformationSystemId, 'ОблакоТэговИнформационнойСистемы');
	?>
	
	<?php
	// Если модуль поиска доступен
	if (class_exists('Search'))
	{
	?>
	<!-- Поиск -->
	<div class="red_block search">
		<div class="tl"></div>
		<div class="tr"></div>
		<div class="br"></div>
		<div class="bl"></div>
		<form action="/search/" method="GET">
			<input type="text" class="text" name="text" value="<?php echo isset($_GET['text']) ? htmlspecialchars($_GET['text']) : '' ?>" />
			<input type="image" src="/images/search_white.gif" title="Поиск"/>
		</form>
	</div>
	<?php
	}
	?>
	
	<!-- Краткая корзина -->
	<?php
	if (class_exists('shop'))
	{
		$shop = & singleton('shop');
		// Идентификатор магазина
		$shop_id = 1;
		$shop->ShowCart($shop_id, false, "МагазинКорзинаКраткая");
	}
	?>
	
	<?php
	if (class_exists('polls'))
	{
		$polls = & singleton('polls');
		// Идентификатор группы опросов
		$PollsGroupID = 1;
		$polls->ShowPollsGroup($PollsGroupID, 'ОтображениеОпросаБезРезультатов');
	}
	?>
</div>